#!/bin/sh

mem=$[`grep MemTotal /proc/meminfo | sed 's/[^0-9]//g'`*4]
[ -n "$mem" ] || mem=0
max_disk=$(cat /sys/block/[hsv]d*/size | sort -n -r| head -1)
[ -n "$max_disk" ] || max_disk=0

# 32Gb
[ $mem -ge 67108864 ] && mem=67108864

# less them 120G
# / is whole disk
if [ "$max_disk" -le 251658240 ] ; then
	mem=$[$mem/2]
	cat > /var/cache/alterator/vm-profile.scm << _EOF_
((workstation
  (title . "Setup 1 for workstation")
  (action . trivial)
  (actiondata  ("swap" (size $mem . $mem) (fsim . "SWAPFS") (methods plain))
               ("/" (size 21000000 . #t ) (fsim . "Ext2/3") (methods plain))))
           )
_EOF_
# less them 500G
# / is 25Gb
elif [ "$max_disk" -le 1048576000 ] ; then
	cat > /var/cache/alterator/vm-profile.scm << _EOF_
((workstation
  (title . "Setup 2 for workstation")
  (action . trivial)
  (actiondata  ("swap" (size $mem . $mem) (fsim . "SWAPFS") (methods plain))
               ("/" (size 52428800 . 52428800 ) (fsim . "Ext2/3") (methods plain))
               ("/home" (size 21000000 . #t) (fsim . "Ext2/3") (methods  plain))))
           )
_EOF_
else
# / is 40Gb
	cat > /var/cache/alterator/vm-profile.scm << _EOF_
((workstation
  (title . "Setup 3 for workstation")
  (action . trivial)
  (actiondata  ("swap" (size $mem . $mem) (fsim . "SWAPFS") (methods plain))
               ("/" (size 84000000 . 84000000 ) (fsim . "Ext2/3") (methods plain))
               ("/home" (size 21000000 . #t) (fsim . "Ext2/3") (methods  plain))))
	       )
_EOF_
fi
